/*******************************************************************\

Copyright (c) 2008 Leiden University (LERC group at LIACS).
All rights reserved.

The use and distribution terms for this software are covered by the 
Common Public License 1.0 (http://opensource.org/licenses/cpl1.0.txt)
which can be found in the file LICENSE at the root of this distribution.
By using this software in any fashion, you are agreeing to be bound by 
the terms of this license.

You must not remove this notice, or any other, from this software.

\*******************************************************************/

#ifndef JPEG2000_FUNC_H_
#define JPEG2000_FUNC_H_
#include "types.h"
#define PC

#define NUMTILES	(VTILES * HTILES)

void mainVideoIn(tile_t * tile_out);
void mainMCT(const tile_t * tile_in, tile_c_t * tile_out);
void mainDWT(const tile_c_t * tile_in, tile_c_t * tile_out);
void mainT1(const tile_c_t * tile_in, code_pas_t * codepas_out);
void mainT2(const code_pas_t * codepas_in, packet_t * packets_out);
void mainVideoOut(const packet_t * packets_in);

#endif /*JPEG2000_FUNC_H_*/

